# Uses of Interface
org.eclipse.ui.console.IHyperlink

Packages that use IHyperlink
Package
Description
org.eclipse.debug.ui.console
Provides a set of interfaces and classes for rendering and annotating text in the debug console.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.

## Uses of IHyperlink in org.eclipse.debug.ui.console

Subinterfaces of IHyperlink in org.eclipse.debug.ui.console
Modifier and Type
Interface
Description
`interface`
`IConsoleHyperlink`
Deprecated.
replaced by org.eclipse.ui.console.IHyperlink
Classes in org.eclipse.debug.ui.console that implement IHyperlink
Modifier and Type
Class
Description
`class`
`FileLink`
A hyperlink that opens a file in a text editor and selects a range of text.
Methods in org.eclipse.debug.ui.console with parameters of type IHyperlink
Modifier and Type
Method
Description
`void`
IConsole.`addLink(IHyperlink link, int offset, int length)`
Adds the given hyperlink to this console.
`IRegion`
IConsole.`getRegion(IHyperlink link)`
Returns the region of text associated with the given hyperlink, or `null` if the given hyperlink is not contained in this console.

## Uses of IHyperlink in org.eclipse.ui.console

Subinterfaces of IHyperlink in org.eclipse.ui.console
Modifier and Type
Interface
Description
`interface`
`IHyperlink2`
Optional extension to `IHyperlink`.
Methods in org.eclipse.ui.console that return IHyperlink
Modifier and Type
Method
Description
`IHyperlink`
TextConsole.`getHyperlink(int offset)`
Returns the hyperlink at the given offset or `null` if none.
`IHyperlink`
TextConsoleViewer.`getHyperlink()`
Returns the currently active hyperlink or `null` if none.
`IHyperlink`
TextConsoleViewer.`getHyperlink(int offset)`
Returns the hyperlink at the specified offset, or `null` if none.
`IHyperlink[]`
TextConsole.`getHyperlinks()`
Returns all hyperlinks in this console.
Methods in org.eclipse.ui.console with parameters of type IHyperlink
Modifier and Type
Method
Description
`void`
TextConsole.`addHyperlink(IHyperlink hyperlink, int offset, int length)`
Adds a hyperlink to this console.
`IRegion`
TextConsole.`getRegion(IHyperlink link)`
Returns the region associated with the given hyperlink.
`protected void`
TextConsoleViewer.`linkEntered(IHyperlink link)`
Notification a hyperlink has been entered.
`protected void`
TextConsoleViewer.`linkExited(IHyperlink link)`
Notification a link was exited.